# damage\_nearby\_entities

## `damage_nearby_entities`

**触发效果**[**​**](https://plugins.auxilor.io/effects/all-effects/damage_nearby_entities#triggered-effect)

对附近的实体造成范围伤害。

## 示例配置

```yaml
- id: damage_nearby_entities
  args:
    damage: 2 # 伤害值
    radius: 5 # 扫描半径
    entities: # 攻击的实体，可以删除，如果删除的话，就是攻击所有实体
      - spider
      - cave_spider
    damage_as_player: false # 伤害是否算由玩家造成的。如果填写 true，那么攻击触发器将会被重复触发，慎重使用。同时其他插件也会因此判断这些范围伤害都是由玩家造成的，如果你安装了类似 mcmmo 这些以玩家伤害增加技能经验值等插件，会造成玩家一次范围伤害直接获取大量经验值！
    damage_self: false # 是否伤害到玩家自己
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/auxilor-plugins/zi-ding-yi-xiao-guo/suo-you-xiao-guo/damage_nearby_entities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
